summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBen Kohler <bkohler@gentoo.org>2020-08-28 05:50:18 -0500
committerBen Kohler <bkohler@gentoo.org>2020-08-28 12:06:37 -0500
commite0d5beb3b2411ff60fb73fa88a6f5ec343798b11 (patch)
tree28ae35b69d55d9a0bfe0b7a856e281149e89fe0b /app-cdr
parentapp-arch/xz-utils: stable 5.2.5 for sparc, bug #738338 (diff)
downloadgentoo-e0d5beb3b2411ff60fb73fa88a6f5ec343798b11.tar.gz
gentoo-e0d5beb3b2411ff60fb73fa88a6f5ec343798b11.tar.bz2
gentoo-e0d5beb3b2411ff60fb73fa88a6f5ec343798b11.zip
app-cdr/dumpet: respect LDFLAGS
Closes: https://bugs.gentoo.org/722066 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Ben Kohler <bkohler@gentoo.org>
Diffstat (limited to 'app-cdr')
-rw-r--r--app-cdr/dumpet/dumpet-2.1_p20140601-r3.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/app-cdr/dumpet/dumpet-2.1_p20140601-r3.ebuild b/app-cdr/dumpet/dumpet-2.1_p20140601-r3.ebuild
new file mode 100644
index 00000000000..00b1082b508
--- /dev/null
+++ b/app-cdr/dumpet/dumpet-2.1_p20140601-r3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs vcs-snapshot
+
+COMMIT="8f47670dd582c96ad1b6dd3c9b9da0acebded5d8"
+
+DESCRIPTION="A tool to dump and debug bootable CD-like images"
+HOMEPAGE="https://github.com/rhboot/dumpet"
+SRC_URI="https://github.com/rhboot/dumpet/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+#Restrict tests since required test file is unavailable
+RESTRICT="test"
+
+RDEPEND="dev-libs/libxml2
+ dev-libs/popt"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? ( dev-util/valgrind )"
+
+PATCHES=( "${FILESDIR}"/musl-byteswap-fix.patch )
+
+src_prepare() {
+ sed -i Makefile \
+ -e "s/^install : all$/install :/" \
+ -e "s/^CFLAGS:=/CFLAGS?=/" \
+ -e "s/^CC:=/CC?=/" \
+ -e '/^LFLAGS/ s/$/$(LDFLAGS)/' \
+ || die
+ default
+}
+
+src_compile() {
+ emake CFLAGS="${CFLAGS}" dumpet
+}
+
+pkg_setup() {
+ tc-export CC
+}